Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 17 Mar 2023 09:18:16 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I am asking about order no 9412915386 the amount has been debited from my account..bt product has not arrived since I went several times..nobody knows about online complaints they told me to register complaints in online...74.4 AED is debited I didn't get the product or amount.. similar happened last year with my order after 4 months of battle I got refunded for same system issue...that tym also order is placed and debited but no product or refund...so why is this happening with my orders only .I wanted compensation for my time and value..for getting my products how many should I go there?when I asked about product they telling that to deal in online...so what is next...do I get my product https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5863193